Skip to main content
POST
/
api
/
v1
/
folders
Create a folder
curl --request POST \
  --url https://api.scholarlysoftware.com/api/v1/folders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "folder",
    "attributes": {
      "name": "Publications"
    },
    "relationships": {}
  }
}
'
import requests

url = "https://api.scholarlysoftware.com/api/v1/folders"

payload = { "data": {
"type": "folder",
"attributes": { "name": "Publications" },
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: {type: 'folder', attributes: {name: 'Publications'}, relationships: {}}})
};

fetch('https://api.scholarlysoftware.com/api/v1/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "folder",
    "attributes": {
      "created_at": "<string>",
      "updated_at": "<string>",
      "name": "Publications",
      "locked": true
    },
    "relationships": {
      "parent": {
        "links": {
          "related": "<string>"
        },
        "meta": {}
      },
      "children": {
        "links": {
          "related": "<string>"
        },
        "meta": {}
      },
      "user": {
        "links": {
          "related": "<string>"
        },
        "meta": {}
      }
    },
    "meta": {
      "children_count": 123,
      "files_count": 123
    }
  }
}
{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}
{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}
{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Body

application/vnd.api+json
data
object
required

Response

folder created

data
object
required